# Created by pyp2rpm-3.3.3
%global pypi_name skia-pathops

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 2
Summary:        Boolean operations on paths using the Skia library
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/fonttools/skia-pathops
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.zip

BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cython)
BuildRequires:  python3dist(pytest-randomly)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
Python bindings for the Google Skia library's Path Ops module, performing
boolean operations on paths (intersection, union, difference, xor).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coverage)
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-cython)
Requires:       python3dist(pytest-randomly)
Requires:       python3dist(pytest-xdist)

%description -n python3-%{pypi_name}
Python bindings for the Google Skia library's Path Ops module, performing
boolean operations on paths (intersection, union, difference, xor).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE src/cpp/skia/LICENSE
%doc README.md
%{python3_sitearch}/pathops
%{python3_sitearch}/skia_pathops-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.2.1-2.mga8
+ Revision: 1541956
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.2.1-1.mga8
+ Revision: 1475689
- imported package python-skia-pathops

